ByteArrayXMPSource (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove
Class ByteArrayXMPSource

    java.lang.Object
      org.xml.sax.InputSource
          edu.harvard.hul.ois.jhove.XMPSource
              edu.harvard.hul.ois.jhove.ByteArrayXMPSource

    public class ByteArrayXMPSource

extends XMPSource

Class for providing an InputSource to XMPHandler, with a ByteArrayInputStream as the basis of the InputSource. This is suitable for a number of modules.

Author:
  Gary McGath

Field Summary

Fields inherited from class edu.harvard.hul.ois.jhove.XMPSource
`_reader`

Constructor Summary
`ByteArrayXMPSource(java.io.ByteArrayInputStream instrm)` Constructor based on ByteArrayInputStream.
`ByteArrayXMPSource(java.io.ByteArrayInputStream instrm, java.lang.String encoding)` Constructor based on ByteArrayInputStream with encoding.

Method Summary
`protected void` | `resetReader()` Causes reading to begin from the start again.

Methods inherited from class edu.harvard.hul.ois.jhove.XMPSource
`makeProperty`

Methods inherited from class org.xml.sax.InputSource
`getByteStream, getCharacterStream, getEncoding, getPublicId, getSystemId, setByteStream, setCharacterStream, setEncoding, setPublicId, setSystemId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ByteArrayXMPSource

    public ByteArrayXMPSource(java.io.ByteArrayInputStream instrm)
                       throws java.io.IOException

  Constructor based on ByteArrayInputStream.

  Parameters:
    `instrm` - ByteArrayInputStream containing the XMP
  Throws:
    `java.io.IOException`

### ByteArrayXMPSource

    public ByteArrayXMPSource(java.io.ByteArrayInputStream instrm,
                              java.lang.String encoding)
                       throws java.io.IOException

  Constructor based on ByteArrayInputStream with encoding.

  Parameters:
    `instrm` - ByteArrayInputStream containing the XMP
  Throws:
    `java.io.IOException`

Method Detail

### resetReader

    protected void resetReader()

  Description copied from class: `XMPSource`
  Causes reading to begin from the start again. Typically this means creating a new value for _reader that will start over.

  Specified by:
    `resetReader` in class `XMPSource`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD